# $Revision: 1.13 $, $Date: 2005/08/05 19:00:00 $
#
# Conditional build:
%bcond_without	perl		# with perl support
%bcond_without	python		# with python support 
#
Summary:	A MUD client for Unix
Summary(pl):	Klient MUD dla Uniksa
Summary(pt_BR):	Um cliente de MUD para Unix
Name:		mcl
Version:	0.53.00
Release:	2
License:	GPL
Group:		Applications/Games
Source0:	http://www.andreasen.org/mcl/dist/%{name}-%{version}-src.tar.gz
# Source0-md5:	db67b299d26d8856045df0277078c8ca
Patch0:		%{name}-ncurses.patch
Patch1:		%{name}-pic.patch
URL:		http://www.andreasen.org/mcl/
%{?with_perl:BuildRequires:	perl-devel}
%{?with_python:BuildRequires:	python-devel}
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
mcl is a MUD client running under Unix. Under Linux console, it uses
direct Virtual Console access for high speed, but it can also run in
an xterm or on a VT100/ANSI compatible terminal at a reduced speed.
Embedded Perl and Python provide a high degree of tweakability.

%description -l pl
mcl jest klientem MUD dziaajcym pod Uniksem. Na linuksowej konsoli
uywa bezporedniego dostpu do wirtualnej konsoli, aby osign du
szybko, ale moe dziaa te pod xtermem lub terminalu VT100/ANSI z
ograniczon prdkoci. Wbudowany Perl i Python daj due moliwoci.

%description -l pt_BR
O mcl  um cliente de MUD que roda no Unix. No console virtual do
Linux ele usa acesso direto ao console para obter uma velocidade
maior, mas ele tambm pode rodar em um xterm, ou em um terminal
compatvel com a especificao VT100/ANSI, em uma velocidade inferior.
O mcl tem suporte a scripts via plugins, sendo que j esto
disponveis perl e python.

%prep
%setup -q
%patch0 -p1
%patch1 -p1

%build
cp -f /usr/share/automake/config.sub admin
%configure \
	%{!?without_python:--enable-python} \
	%{!?without_perl:--enable-perl}

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	INSTALL_ROOT=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README.1ST doc
%attr(755,root,root) %{_bindir}/mcl
%dir %{_prefix}/lib/mcl
# these seem to be noarch - %{_datadir}/mcl?
%{_prefix}/lib/mcl/auto
%{_prefix}/lib/mcl/contrib
%{_prefix}/lib/mcl/sys
# *.so - %{_libdir}/mcl?
%attr(755,root,root) %{_prefix}/lib/mcl/plugins

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: mcl.spec,v $
Revision 1.13  2005/08/05 19:00:00  qboosh
- added pic patch, updated files (fixes build on x86_64)
- release 2

Revision 1.12  2005/08/05 15:00:56  havner
- refresh config.sub

Revision 1.11  2004/10/24 12:08:42  paladine
- spelling fixes

Revision 1.10  2004/04/17 20:35:10  leafnode
- updated to 0.53.00

Revision 1.9  2003/05/28 12:59:42  malekith
- massive attack: source-md5

Revision 1.8  2003/05/25 05:50:29  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.7  2002/11/27 22:06:21  juandon
- new %%doc

Revision 1.6  2002/02/22 23:29:15  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.5  2002/01/18 02:13:49  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.4  2001/12/06 10:08:44  qboosh
- pl translations, cosmetics, gzip doc

Revision 1.3  2001/05/02 21:51:24  qboosh
- adapterized and made spec %%debug ready or added using %%rpm*flags macros

Revision 1.2  2001/02/10 02:13:02  kloczek
- adapterized and partialy rewrited.
